### Method

# Clutter Path insert_node

#### Declaration [src]

    void
    clutter_path_insert_node (
      ClutterPath* path,
      gint index_,
      const ClutterPathNode* node
    )

#### Description [src]

Inserts `node` into the path before the node at the given offset. If `index_` is negative it will append the node to the end of the path.

#### Parameters

`index_`

  Type: `gint`

  Offset of where to insert the node.

`node`

  Type: `ClutterPathNode`

  The node to insert.

  The data is owned by the caller of the method.